summaryrefslogtreecommitdiffstats
path: root/network/dillo/dillo.SlackBuild
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 15:01:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:26 +0200
commitf64750f981a5800dc6347c6c68d28004ce949dfc (patch)
tree16e93ea3dab9bfee22d5003a6d0a3a88f065d457 /network/dillo/dillo.SlackBuild
parentc02270d50c871f9d194b60301fa6083e2e1d3cc6 (diff)
downloadslackbuilds-f64750f981a5800dc6347c6c68d28004ce949dfc.tar.gz
slackbuilds-f64750f981a5800dc6347c6c68d28004ce949dfc.tar.xz
network/dillo: Initial import
Diffstat (limited to 'network/dillo/dillo.SlackBuild')
-rw-r--r--network/dillo/dillo.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/network/dillo/dillo.SlackBuild b/network/dillo/dillo.SlackBuild
new file mode 100644
index 0000000000..652d3cbb4b
--- /dev/null
+++ b/network/dillo/dillo.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for dillo
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=dillo
+VERSION=0.8.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-dlgui \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+# Let's not clobber config files if they already exist
+mv $PKG/etc/dillorc $PKG/etc/dillorc.new
+mv $PKG/etc/dpidrc $PKG/etc/dpidrc.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog* INSTALL NEWS README* doc/*.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz